Search Results for

Show / Hide Table of Contents

# Class DynamicMenuBar.DynamicMenuBarDetails

##### Inheritance

System.Object
DynamicMenuBar.DynamicMenuBarDetails

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicMenuBarDetails : FrameView

### Constructors

#### DynamicMenuBarDetails(ustring)

##### Declaration

    public DynamicMenuBarDetails(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |

#### DynamicMenuBarDetails(MenuItem, Boolean)

##### Declaration

    public DynamicMenuBarDetails(MenuItem menuItem = null, bool hasParent = false)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |
System.Boolean | hasParent |

### Fields

#### _ckbIsTopLevel

##### Declaration

    public CheckBox _ckbIsTopLevel

##### Field Value

Type | Description
--- | ---
CheckBox |

#### _ckbSubMenu

##### Declaration

    public CheckBox _ckbSubMenu

##### Field Value

Type | Description
--- | ---
CheckBox |

#### _menuItem

##### Declaration

    public MenuItem _menuItem

##### Field Value

Type | Description
--- | ---
MenuItem |

#### _rbChkStyle

##### Declaration

    public RadioGroup _rbChkStyle

##### Field Value

Type | Description
--- | ---
RadioGroup |

#### _txtAction

##### Declaration

    public TextView _txtAction

##### Field Value

Type | Description
--- | ---
TextView |

#### _txtHelp

##### Declaration

    public TextField _txtHelp

##### Field Value

Type | Description
--- | ---
TextField |

#### _txtShortcut

##### Declaration

    public TextField _txtShortcut

##### Field Value

Type | Description
--- | ---
TextField |

#### _txtTitle

##### Declaration

    public TextField _txtTitle

##### Field Value

Type | Description
--- | ---
TextField |

### Methods

#### CreateAction(MenuItem, DynamicMenuBar.DynamicMenuItem)

##### Declaration

    public Action CreateAction(MenuItem menuItem, DynamicMenuBar.DynamicMenuItem item)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |
DynamicMenuBar.DynamicMenuItem | item |

##### Returns

Type | Description
--- | ---
System.Action |

#### EditMenuBarItem(MenuItem)

##### Declaration

    public void EditMenuBarItem(MenuItem menuItem)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |

#### EnterMenuItem()

##### Declaration

    public DynamicMenuBar.DynamicMenuItem EnterMenuItem()

##### Returns

Type | Description
--- | ---
DynamicMenuBar.DynamicMenuItem |

#### UpdateParent(ref MenuItem)

##### Declaration

    public void UpdateParent(ref MenuItem menuItem)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |